src/base/cs_base_fortran.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_base_fortran.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <math.h>`
`#include <ple_defs.h>`
`#include <bft_error.h>`
`#include <bft_printf.h>`
`#include "cs_base.h"`
`#include "cs_file.h"`
`#include "cs_prototypes.h"`
`#include "cs_timer.h"`
`#include "cs_base_fortran.h"`
Include dependency graph for cs_base_fortran.c:

## Macros
#define | CS_BUF_PRINT_F_SIZE 16384

## Functions
void | csprnt (char *cs_buf_print, cs_int_t *msgsize)
void | csopli (const cs_int_t *infecr, const cs_int_t *isuppr, const cs_int_t *ierror)
void | csclli (void)
void | csexit (const cs_int_t *status)
void | dmtmps (cs_real_t *tw)
void | csmkdr (const char *dirnam, const cs_int_t *dirlen)
void | csgamma (const cs_real_t *x, cs_real_t *gamma)
void | cssf2c (const cs_int_t *len, const char *fstr, char *cstr CS_ARGF_SUPP_CHAINE)
void | cslogname (const cs_int_t *len, char *dir CS_ARGF_SUPP_CHAINE)
void | csdatadir (const cs_int_t *len, char *dir CS_ARGF_SUPP_CHAINE)
void | cs_base_fortran_bft_printf_set (const char *log_name, int r0_log_flag, int rn_log_flag)
void | cs_base_fortran_bft_printf_to_c (void)
void | cs_base_fortran_bft_printf_to_f (void)

## Macro Definition Documentation

#define CS_BUF_PRINT_F_SIZE 16384

## Function Documentation

void cs_base_fortran_bft_printf_set | ( | const char * | log_name,
|  | int | r0_log_flag,
|  | int | rn_log_flag
| ) |  |

void cs_base_fortran_bft_printf_to_c | ( | void |  | ) |

void cs_base_fortran_bft_printf_to_f | ( | void |  | ) |

void csclli | ( | void |  | ) |

void csdatadir | ( | const cs_int_t * | len,
|  | char *dir | CS_ARGF_SUPP_CHAINE
| ) |  |

void csexit | ( | const cs_int_t * | status | ) |

void csgamma | ( | const cs_real_t * | x,
|  | cs_real_t * | gamma
| ) |  |

void cslogname | ( | const cs_int_t * | len,
|  | char *dir | CS_ARGF_SUPP_CHAINE
| ) |  |

void csmkdr | ( | const char * | dirnam,
|  | const cs_int_t * | dirlen
| ) |  |

void csopli | ( | const cs_int_t * | infecr,
|  | const cs_int_t * | isuppr,
|  | const cs_int_t * | ierror
| ) |  |

void csprnt | ( | char * | cs_buf_print,
|  | cs_int_t * | msgsize
| ) |  |

void cssf2c | ( | const cs_int_t * | len,
|  | const char * | fstr,
|  | char *cstr | CS_ARGF_SUPP_CHAINE
| ) |  |

void dmtmps | ( | cs_real_t * | tw | ) |